Duplicate path in ~/.config/unity3d on Linux - case-sensitive filesystem
Target version: 1.9.1
Description

Hi,

KSP creates 2 additional directories under Linux in "~/.config/unity3d" :

e Squad/
e SQUAD/

One contains additional configuration files for KSP and the other does the same for the Launcher. The Launcher is in the
all-capitalized one; it would make sense to unify these.

This has been the case since at least 0.90, and verified with 1.0.4 (not an option in your version drop-down).
micha@urutu:~/.config/unity3d$ tree

+-— global.prefs
+-— Player.log

== Seuacl

| \-- Kerbal Space Program
| +-— Player.log

| \-— prefs

+—— SQUAD

\-—- KSPLauncher
+-— Player.log
\-— prefs

So while it might be a semantic nitpick | do consider this to be a (very very minor) bug.

Related issues:
Copied to Kerbal Space Program - Feedback #9914: Duplicate path in ~/.config/... Closed

History

#1 - 07/27/2015 04:48 PM - Squelch
- Tracker changed from Bug to Feedback

- Version changed from 1.0.2 to 1.0.4

It's not really a bug, so | have marked it as feedback.

Using case sensitivity alone is not always foolproof, so perhaps the folders should be better distinguished. The launcher and the game can use
different settings as they are considered unique applications. The two settings and their respective data files cannot be merged.

1.0.4 is there, but alphanumeric sorting has conspired against us. Look 3 entries above 1.0.2

#2 - 07/28/2015 07:02 AM - micha

Apologies for not being clearer; KSP and the Launcher both create their own directory underneath their respective "Squad"/"SQUAD" directories,
hence there's no overriding of settings from one to the other:

micha@urutu:~/.config/unity3d$ tree
+-— global.prefs
+-— Player.log
+-— Squad
| \-— Kerbal Space Program
| +-— Player.log
| \-- prefs
+—— SQUAD
\-- KSPLauncher
+-— Player.log
\-- prefs

So while it might be a semantic nitpick | do consider this to be a (very very minor) bug.

#3 - 07/28/2015 02:07 PM - Squelch

- Description updated

#4 - 07/28/2015 02:14 PM - Squelch

It would make sense to put them all in one place as related items, but | don't believe this is a requirement, and they could be arbitrarily set to any
other folder structure to function.

I've added your diagram to the original post, and will forward this for consideration.

#6 - 06/11/2016 08:09 AM - Ruedii
- Version changed from 1.0.4 to 1.1.2

Still presentin 1.1.2

#7 - 06/11/2016 08:09 AM - Ruedii
- Copied to Feedback #9914: Duplicate path in ~/.config/unity3d on Linux - case-sensitive filesystem added

#8 - 07/17/2016 09:55 AM - TriggerAu

- Status changed from New to Needs Clarification
#9 - 04/10/2019 04:19 PM - micha
TriggerAu updated:

Status changed from New to Needs Clarification

What needs Clarification please ?

There was never a request to merge "Kerbal Space Program" and "Launcher" folders (not entirely sure where that interpretation came from).
The request was to merge the superfluous "Squad" and "SQUAD" folders (see below).

Current:

micha@urutu:~/.config/unity3d$ tree
+-— global.prefs
+-— Player.log

+—— Squad

| \-- Kerbal Space Program
| +-— Player.log

| \-- prefs

+—— SQUAD

\-— KSPLauncher
+-— Player.log
\-- prefs

Proposed:

micha@urutu:~/.config/unity3d$ tree
+—— global.prefs
+-— Player.log
+-- Squad
+—— Kerbal Space Program
| +—— Player.log
| \-—- prefs
+-—— KSPLauncher
+-— Player.log
\-- prefs

#10 - 03/09/2020 07:42 PM - ManeTI

- Status changed from Needs Clarification to Ready to Test
- Assignee set to ManeT]

- Target version set to 1.9.1

- Expansion Core Game added

Hey, this is no longer happening, checked on 1.9.1, first thing to do is remove previous folders from older versions of KSP:

manuel@maneti-linux:$ rm -r ~/.config/unity3d/SQUAD
manuel@maneti-linux:$ rm -r ~/.config/unity3d/Squad

Then start KSP and the launcher to verify:

manuel@maneti-linux:~/.config/unity3ds$ tree

F— global.prefs
— Player.log
L— squad
— Kerbal Space Program
| — Player.log
| — prefs
| L— Unity
| L — 39811e89-d29d-4faa-bb01-997f3cda24£0
| L— Analytics
| — ArchivedEvents
|
|

— config

L— values
L— KSPLauncher
L— Unity
L— local.ba7ef0fc4170b7c4aba9513498a256b2
L— Analytics
— ArchivedEvents

— config

L— values

As you can see both folders are now under Squad.

#11 - 05/22/2021 07:45 PM - ManeTI
- Status changed from Ready to Test to Resolved
